Bitcoin Forum
May 25, 2018, 12:12:08 PM *
News: Latest stable version of Bitcoin Core: 0.16.0  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: can't mine with a 7970 in windows XP :(  (Read 2152 times)
mdude77
Legendary
*
Offline Offline

Activity: 1540
Merit: 1001



View Profile
May 12, 2012, 02:21:04 AM
 #1

I'm upgrading my 5870s to 7970s..

only to find out SDK 2.6 isn't available for XP.

BAH

why are things never easy with mining. Sad

I mine at Kano's Pool because it pays the best and is completely transparent!  Come join me!
1527250328
Hero Member
*
Offline Offline

Posts: 1527250328

View Profile Personal Message (Offline)

Ignore
1527250328
Reply with quote  #2

1527250328
Report to moderator
1527250328
Hero Member
*
Offline Offline

Posts: 1527250328

View Profile Personal Message (Offline)

Ignore
1527250328
Reply with quote  #2

1527250328
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1527250328
Hero Member
*
Offline Offline

Posts: 1527250328

View Profile Personal Message (Offline)

Ignore
1527250328
Reply with quote  #2

1527250328
Report to moderator
1527250328
Hero Member
*
Offline Offline

Posts: 1527250328

View Profile Personal Message (Offline)

Ignore
1527250328
Reply with quote  #2

1527250328
Report to moderator
-ck
Moderator
Legendary
*
Offline Offline

Activity: 2534
Merit: 1072


Ruu \o/


View Profile WWW
May 12, 2012, 07:01:48 AM
 #2

Just grab the 32bit version for a later windows. It should still work.

Primary developer/maintainer for cgminer and ckpool/ckproxy.
ZERO FEE Pooled mining at ckpool.org 1% Fee Solo mining at solo.ckpool.org
-ck
oldDirty
Full Member
***
Offline Offline

Activity: 182
Merit: 100


roundhouseminer


View Profile
May 12, 2012, 10:07:55 AM
 #3

2.6 is not the best choice for mining i guess, 2.4 or 2.5.

CrunchingCulture

/// FREE ASSANGE \\\
mdude77
Legendary
*
Offline Offline

Activity: 1540
Merit: 1001



View Profile
May 12, 2012, 10:55:05 AM
 #4

2.6 is not the best choice for mining i guess, 2.4 or 2.5.

I was under the impression 2.6 is required for the 7000 series.

But I didn't try it..

<fingers crossed>

I mine at Kano's Pool because it pays the best and is completely transparent!  Come join me!
mdude77
Legendary
*
Offline Offline

Activity: 1540
Merit: 1001



View Profile
May 12, 2012, 11:57:34 AM
 #5

Just grab the 32bit version for a later windows. It should still work.

No go.  I need driver 12.4 for 7000 support (first one for XP that uses it).  The last SDK comes with 11.12, which is 10.0.831.4.  Those two don't mix.  cgminer tells me everything is disabled (three 5870s, one 7970), phoenix sits and does nothing, guiminer causes a BSOD.

Sad

I mine at Kano's Pool because it pays the best and is completely transparent!  Come join me!
n4l3hp
Full Member
***
Offline Offline

Activity: 172
Merit: 100


View Profile
May 12, 2012, 02:19:21 PM
 #6

I dont have 7xxx cards but 2.6 works with 32/64 WinXP, you just have to install it separately (win7 2.6 sdk will work with xp).

http://developer.amd.com/sdks/AMDAPPSDK/downloads/Pages/default.aspx
oldDirty
Full Member
***
Offline Offline

Activity: 182
Merit: 100


roundhouseminer


View Profile
May 12, 2012, 02:30:25 PM
 #7



I was under the impression 2.6 is required for the 7000 series.

But I didn't try it..

<fingers crossed>
ok this i dont know, sry.
Oh wait, look here. Some Users are running with 2.4;
https://en.bitcoin.it/wiki/Mining_hardware_comparison

CrunchingCulture

/// FREE ASSANGE \\\
bulanula
Hero Member
*****
Offline Offline

Activity: 518
Merit: 500



View Profile
May 12, 2012, 03:08:48 PM
 #8



I was under the impression 2.6 is required for the 7000 series.

But I didn't try it..

<fingers crossed>
ok this i dont know, sry.
Oh wait, look here. Some Users are running with 2.4;
https://en.bitcoin.it/wiki/Mining_hardware_comparison

Them users don't have a darn clue what they are talking about.

SDK 2.6 is minimum you can have for 7xxx cards.
mdude77
Legendary
*
Offline Offline

Activity: 1540
Merit: 1001



View Profile
May 12, 2012, 03:56:54 PM
 #9

Have you tried it?  2.6 installs okay, but it doesn't work.  All my miners indicate the cards aren't found.

I dont have 7xxx cards but 2.6 works with 32/64 WinXP, you just have to install it separately (win7 2.6 sdk will work with xp).

http://developer.amd.com/sdks/AMDAPPSDK/downloads/Pages/default.aspx

I mine at Kano's Pool because it pays the best and is completely transparent!  Come join me!
n4l3hp
Full Member
***
Offline Offline

Activity: 172
Merit: 100


View Profile
May 13, 2012, 02:25:39 AM
 #10

I've tried it on WinXP 64 but only with 5xxx/6xxx cards but reverted back to 2.5 due to the performance hit. The only thing I haven't tried is the 12.4 driver.

After installing 12.4 driver without opencl, try installing 2.3 or 2.4 first then install 2.6 without removing old sdk (I did encounter the problem of cards not detected once when I did a clean install of XP and 2.6, all I did was remove 2.6 then install 2.3 and install 2.6 back over older sdk.).

ssateneth
Legendary
*
Offline Offline

Activity: 1330
Merit: 1004



View Profile
May 13, 2012, 10:30:47 AM
 #11

I've tried it on WinXP 64 but only with 5xxx/6xxx cards but reverted back to 2.5 due to the performance hit. The only thing I haven't tried is the 12.4 driver.

After installing 12.4 driver without opencl, try installing 2.3 or 2.4 first then install 2.6 without removing old sdk (I did encounter the problem of cards not detected once when I did a clean install of XP and 2.6, all I did was remove 2.6 then install 2.3 and install 2.6 back over older sdk.).



You want to mix 5xxx, 6xxx, AND 7xxx cards? All in one rig? Sorry to say but if you want optimum mhash, you're pretty much fucked. 2.1 is fastest with 5xxx-67xx (not sure about 68xx if they are VLIW5 or VLIW4), VLIW5 cards (68xx?-69xx) are best with 2.4/2.5, and 7xxx only work with 2.6.

n4l3hp
Full Member
***
Offline Offline

Activity: 172
Merit: 100


View Profile
May 13, 2012, 12:23:20 PM
 #12

I don't mix different series cards in 1 rig. I didn't mention that I only have 1 rig either.  Wink
mdude77
Legendary
*
Offline Offline

Activity: 1540
Merit: 1001



View Profile
May 13, 2012, 10:15:56 PM
 #13

I've tried it on WinXP 64 but only with 5xxx/6xxx cards but reverted back to 2.5 due to the performance hit. The only thing I haven't tried is the 12.4 driver.

After installing 12.4 driver without opencl, try installing 2.3 or 2.4 first then install 2.6 without removing old sdk (I did encounter the problem of cards not detected once when I did a clean install of XP and 2.6, all I did was remove 2.6 then install 2.3 and install 2.6 back over older sdk.).



You want to mix 5xxx, 6xxx, AND 7xxx cards? All in one rig? Sorry to say but if you want optimum mhash, you're pretty much fucked. 2.1 is fastest with 5xxx-67xx (not sure about 68xx if they are VLIW5 or VLIW4), VLIW5 cards (68xx?-69xx) are best with 2.4/2.5, and 7xxx only work with 2.6.

I got them working under vista.  Correct, I'm losing mhash on my 5870s, but that's because I can't get msiafterburner to let me lower the clock rates to 300, so I'm stuck using cgminer, which sucks for 5870s.  I just got another tool that I haven't had a chance to try yet.  If it can get my memory down to 300, I'll try phoenix again.

This is only temporary as I replace my 5870s with 7970s.

I mine at Kano's Pool because it pays the best and is completely transparent!  Come join me!
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!